package com.pcloud.book.group.biz;

import com.pcloud.book.group.entity.GroupAnnouncement;

public interface GroupAnnouncementBiz {

    /**
     * 新增群公告
     * @param groupAnnouncement
     * @return
     */
    Long createGroupAnnouncement(GroupAnnouncement groupAnnouncement);

    /**
     * 修改群公告
     * @param groupAnnouncement
     */
    void updateGroupAnnouncement(GroupAnnouncement groupAnnouncement);

    /**
     * 获取群公告
     * @param classifyId
     * @param bookGroupId
     * @return
     */
    GroupAnnouncement getGroupAnnouncement(Long classifyId, Long bookGroupId);

    /**
     * 按群设施群公告
     * @param bookGroupId
     * @param classifyId
     * @param weixinGroupId
     */
    void setAnForGroup(Long bookGroupId, Long classifyId, String weixinGroupId);
}
